Macro HealArcs/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "{{Macro/es|Name=HealArcs|Description=A veces los arcos se transforman en BSplines, por ejemplo cuando se les aplica operaciones de escala. Esta macro vuelve a crear arcos vál...")
Line 1: Line 1:
{{Macro|Icon=Text-x-python|Name=HealArcs|Description=Sometimes arcs are transformed into BSplines, for example when scale operations have been applied to them. This macro recreates valid arcs from them. Useful before exporting to dxf|Author=Yorik}}
{{Macro/es|Name=HealArcs|Description=A veces los arcos se transforman en BSplines, por ejemplo cuando se les aplica operaciones de escala. Esta macro vuelve a crear arcos válidos a partir de ellos. Útil antes de exportar a DXF|Author=Yorik}}


Sometimes arcs are transformed into BSplines, for example when scale operations have been applied to them. This macro recreates valid arcs from them. Useful before exporting to dxf
Sometimes arcs are transformed into BSplines, for example when scale operations have been applied to them. This macro recreates valid arcs from them. Useful before exporting to dxf

Revision as of 18:20, 1 January 2014

Icono de macro genérico. Crea tu icono personal con el mismo nombre de la macro HealArcs

Descripción
A veces los arcos se transforman en BSplines, por ejemplo cuando se les aplica operaciones de escala. Esta macro vuelve a crear arcos válidos a partir de ellos. Útil antes de exportar a DXF

Autor : Yorik
Autor
Yorik
Descargar
None
Enlace
Versión Macro
1.0
Fecha última modificación
None
Versión(es) FreeCAD
None
Acceso directo predeterminado
None
Ver también
None

Sometimes arcs are transformed into BSplines, for example when scale operations have been applied to them. This macro recreates valid arcs from them. Useful before exporting to dxf


 try:
     import DraftGeomUtils as fcgeo
 except:
     from draftlibs import fcgeo
 import FreeCAD,FreeCADGui,Part
 
 sel = FreeCADGui.Selection.getSelection()
 if not sel:
     FreeCAD.Console.PrintWarning("Select something first!")
 else:
     removeList = []
     for obj in sel:
         ed = obj.Shape.Edges[0]
         arc = fcgeo.arcFromSpline(ed)
         if arc:
             Part.show(arc)
             removeList.append(obj.Name)
     FreeCAD.ActiveDocument.recompute()
     print "removing ",removeList
     for n in removeList:
         FreeCAD.ActiveDocument.removeObject(n)